/* $Id$ */
/* #ident "$Source$ $Revision$" */
/*
* $Copyright$
*/

/*
 * Input: Database Name
 * Output: List of index volumes on which caching need to be enabled
 *	   and list of all the volumes associated to database.
 */

set nocount on
use db_name
go
declare @seg int -- segment number
/*
 * Table #t_ndx contains index segment for database db_name.
 */
select segment into #t_ndx from sysindexes where indid > 0 and indid < 255
while exists (select 1 from #t_ndx)
begin
set rowcount 1 select @seg=segment from #t_ndx
set rowcount 0
delete from #t_ndx where segment=@seg
/*
 * volumes associated to index segment seg.
 */
select sde.phyname from master..sysusages su, master..sysdevices sde where su.segmap & power(2,@seg) > 0 and su.vdevno=sde.vdevno and su.dbid=db_id()
end 
drop table #t_ndx
go
/*
 * Output file contains list of volumes on which caching need to be enabled,
 * seperated by "-----" list of all volumes associated to database db_name.
 */
set nocount on
print "-----"
select sde.phyname from master..sysusages su, master..sysdevices sde where su.vdevno=sde.vdevno and su.dbid=db_id()
go
